GET /api/v3/energyStar/pmProperty/{pmPropertyId}/pmMeter

Retrieves Portfolio Manager meters for a property, for linking to EnergyCAP meters

GetPortfolioManagerPropertyMetersV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to get the meters registered under a specific Portfolio Manager property. Set includeOnlyUnlinked to true to see only meters not yet linked to EnergyCAP meters. Set verbose to false for faster response with only ID and name. Requires ENERGY STAR to be configured. Requires Buildings and Organizations View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
pmPropertyId Portfolio Manager property identifier (PM system ID) integer (int64) Required

Query Parameters

Name Description Type Required
includeOnlyUnlinked When true, returns only meters not yet linked to an EnergyCAP meter boolean Optional
verbose When true (default), includes commodity code and unit code. When false, only retrieves ID and name for faster performance boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarPmMeter
Property Description Type
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
pmCommodityCode The Portfolio Manager commodity string
pmMeterId The Portfolio Manager meter identifier integer (int64)
pmMeterName The Portfolio Manager meter name string
pmUnitCode The Portfolio Manager unit of measure string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
[
  {    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "pmCommodityCode": "string",    "pmMeterId": 1,    "pmMeterName": "string",    "pmUnitCode": "string",    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
]